/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-02-29 20:35:42
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询列表
export function presaleQueryPage(data) {
  return newRequest({
    url: '/presale/queryPage',
    method: 'post',
    data
  })
}

export function presaleExport(data) {
  return newRequest({
    url: '/presale/export',
    method: 'post',
    data
  })
}


export function presaleAdd(data) {
  return newRequest({
    url: '/presale/add',
    method: 'post',
    data
  })
}

export function presaleDetail(params) {
  return newRequest({
    url: '/presale/detail',
    method: 'get',
    params
  })
}

export function presaleDetailLog(params) {
  return newRequest({
    url: '/presale/detail/log',
    method: 'get',
    params
  })
}

export function presaleUpdate(data) {
  return newRequest({
    url: '/presale/update',
    method: 'post',
    data
  })
}

export function presaleUpdateStatus(data) {
  return newRequest({
    url: '/presale/updateStatus',
    method: 'post',
    data
  })
}

